"use strict";Object.defineProperty(exports, "__esModule", {value: true});require('regenerator-runtime/runtime');



var _changehero = require('./swap/central/changehero');
var _changenow = require('./swap/central/changenow');
var _exolix = require('./swap/central/exolix');
var _godex = require('./swap/central/godex');
var _letsexchange = require('./swap/central/letsexchange');
var _sideshift = require('./swap/central/sideshift');
var _swapuz = require('./swap/central/swapuz');
var _lifi = require('./swap/defi/lifi');
var _thorchain = require('./swap/defi/thorchain');
var _thorchainDa = require('./swap/defi/thorchainDa');
var _spookySwap = require('./swap/defi/uni-v2-based/plugins/spookySwap');
var _tombSwap = require('./swap/defi/uni-v2-based/plugins/tombSwap');
var _velodrome = require('./swap/defi/uni-v2-based/plugins/velodrome');
var _transfer = require('./swap/transfer');
var _xrpDexInfo = require('./swap/xrpDexInfo');

const plugins = {
  // Swap plugins:
  changehero: _changehero.makeChangeHeroPlugin,
  changenow: _changenow.makeChangeNowPlugin,
  exolix: _exolix.makeExolixPlugin,
  godex: _godex.makeGodexPlugin,
  letsexchange: _letsexchange.makeLetsExchangePlugin,
  lifi: _lifi.makeLifiPlugin,
  sideshift: _sideshift.makeSideshiftPlugin,
  spookySwap: _spookySwap.makeSpookySwapPlugin,
  swapuz: _swapuz.makeSwapuzPlugin,
  thorchain: _thorchain.makeThorchainPlugin,
  thorchainda: _thorchainDa.makeThorchainDaPlugin,
  tombSwap: _tombSwap.makeTombSwapPlugin,
  transfer: _transfer.makeTransferPlugin,
  velodrome: _velodrome.makeVelodromePlugin,
  xrpdex: _xrpDexInfo.xrpdex
}







if (
  typeof window !== 'undefined' &&
  typeof window.addEdgeCorePlugins === 'function'
) {
  window.addEdgeCorePlugins(plugins)
}

exports. default = plugins
